#include <bits/stdc++.h>

using namespace std;

int d[10];



long long brojcifara(long long n){
   long long n1;
   long long  brojac=0;
    n1 = n;

    for (int i = 0; n1!=0; i++)
    {
        n1 = n1/10;
        brojac++;
    }
    return brojac;

}

int main()
{


  long long n;

   cin >> n;

   d[0]=0;
   d[1]=1;
   d[2]=1;
   d[3]=2;
   d[4]=2;
   d[5]=1;
   d[6]=2;
   d[7]=2;
   d[8]=3;
   d[9]=3;

    long long m=brojcifara(n);
    long long br=0;
    for(int i=1;i<=m;i++){
      br+=d[n%10];
      n=n/10;
    }

    cout << br << endl;

    return 0;
}